
QGIS Application - Bug report #8738

Field Calculator with problems
Status: Closed

Priority: Normal

Assignee: Giovanni Manghi

Category: Vectors

Affected QGIS version:2.0.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 17453

Description

I have a PC with Windows 8 installed and there's a problem with Qgis Dufour. When I ask it to calculate the area or perimeter of a

shapefile, through the field calculator, the result is an obviously wrong number - something like "27,800245e-05".

Then I uninstalled it and installed the Qgis 1.8 Lisboa, the same problem happens.

When I open  the Dufour, an error shows on screen: "Microsoft Visual C++ Library: Runtime error - Program:

C:\\PROGRA~1\\QGISDU~1\\bin\\qgis-bin.exe R6034 An application has made an attempt to load the C runtime library incorrectly. Please

contact the application's support team for more information.": I don`t know if it has something to do with it.

Regards,

Andre

Related issues:

Related to QGIS Application - Bug report # 8592: Field Calculator: Nonsense v... Closed 2013-09-10

Related to QGIS Application - Bug report # 8629: QGIS Dufour 2.0.1 32 or 64 c... Closed 2013-09-18

History

#1 - 2013-10-01 08:20 AM - Giovanni Manghi

- Category set to Vectors

- Status changed from Open to Feedback

- Target version set to Future Release - High Priority

the second issue (R6034) have been already reported in another ticket.

About the fist one please post a sample vector.

#2 - 2013-10-01 01:05 PM - Andre Pacheco

- Assignee set to Giovanni Manghi

Hi, here's the screen. My dufour is in portuguese, but take a look where it's written "previa de saida".

When I click "ok", the result shown is 0.

https://dl.dropboxusercontent.com/u/81326525/problem.PNG

Is this what you asked for?

#3 - 2013-10-01 01:05 PM - Bernd Vogelgesang

- Assignee deleted (Giovanni Manghi)
https://dl.dropboxusercontent.com/u/81326525/problem.PNG


The first mentioned problem sounds like the issue i posted as Bug #8592

#4 - 2013-10-01 01:06 PM - Giovanni Manghi

Olá, I speak Portuguese.

What I asked is a sample of your data to allow us make tests, not a screenshot. Cheers!

#5 - 2013-10-02 06:58 AM - Andre Pacheco

Hey, there goes an .shp archive. Plz check if it's what you asked. There's already a column with $area and another one with $perimeter.

https://dl.dropboxusercontent.com/u/81326525/teste.rar

#6 - 2013-10-02 02:03 PM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to duplicate

Andre Pacheco wrote:

Hey, there goes an .shp archive. Plz check if it's what you asked. There's already a column with $area and another one with $perimeter.

https://dl.dropboxusercontent.com/u/81326525/teste.rar

your layer is in WGS84 and is very small, so it is not an issue the fact that the area and perimeter do show as a very small values. This if don't have the

reprojection active, becase if you have it then in qgis 2.0.1 there is the issue that Bernd said (fixed in master).

#7 - 2013-10-03 04:23 AM - Andre Pacheco

- Assignee set to Giovanni Manghi

Thanks for the feedback, but the problem isn't the fact of small values, it's the fact of showing wrong values. In my PC the value is either NULL or 0.00,

when I know it should be much higher.

I don't know if that's a problem of Qgis or my windows 8.

#8 - 2013-10-04 04:42 AM - Giovanni Manghi

Andre Pacheco wrote:

Thanks for the feedback, but the problem isn't the fact of small values, it's the fact of showing wrong values. In my PC the value is either NULL or

0.00, when I know it should be much higher.

I don't know if that's a problem of Qgis or my windows 8.

the polygon is very small and in wgs84 (degrees), so values for area and perimeter are indeed expected as very small because are computed in degress

area 0.000058024008808

perimeter 0.033000000000000
the issue when using the FC with reprojection ON is already known and was fixed in qgis master.
